--Define a basemonster to base all the other monsters on.
--Any statistics that any monster can have should be defined here, with a sane default
--Each monster's definition will deepcopy this and override relevant parts.

require 'middleclass.init'

Monster = class('Monster')

function Monster:initialize()

    self.propername = "Base Monster"
    self.shortdesc = "Short Description"
    self.type = "Normal"
    self.level = 2
    self.currentexp = exp_medfast(self.level)
    self.currenthp = 0
    self.catchrate = 255
    self.expyield = 20

    self.nickname = nil
    self.originaltrainer = nil
    self.originaltrainername = nil

    self.basestats = {}
    local s = self.basestats --A helpful shortcut
    s.hp = 50
    s.attack = 50
    s.defense = 50
    s.spatk = 50
    s.spdef = 50
    s.speed = 50

    self.ivs = {}
    s = self.ivs--A helpful shortcut
    s.hp = 0
    s.attack = 0
    s.defense = 0
    s.spatk = 0
    s.spdef = 0
    s.speed = 0

    self.evs = {}
    s = self.evs--A helpful shortcut
    s.hp = 0
    s.attack = 0
    s.defense = 0
    s.spatk = 0
    s.spdef = 0
    s.speed = 0

    self.sprites = {}
    s = self.sprites
    s.combat = {}
    s.combat.back = "filename goes here"
    s.combat.front = "filename goes here"

    self.moves = {}
end

