#!/usr/bin/lua

--Copyright 2010 Gryc Ueusp

--This file is part of Collectible RPG Engine.

--Collectible RPG Engine is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.

--Collectible RPG Engine is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.

--You should have received a copy of the GNU General Public License
--along with Collectible RPG Engine.  If not, see <http://www.gnu.org/licenses/>.

--This file converts a given tiled map to a lua file that CRPG can load as code.

require("map_loader")
require("helper_functions")
dofile("tablesave.lua")

function load_from_spritesheet_by_number(imgpath, width, height, tilenum)
    --This is a quick override to not have to call Love functions.
    return "thisimg = load_from_spritesheet_by_number(\""..imgpath.."\", "..width..", "..height..", "..tilenum..")"
end

ldata = {}
ldata[1], ldata[2] = load_tiled_map_nonlove(arg[1])

table.save(ldata, arg[1]..".tbl")
