--Functions called by the map and generally only used once.

function do_dogbowl()
    --A sample function to illustrate how variable saving and loading works.
    --Keep i mind that name collision may occur, so use of prefixes is encouraged. 
    --Or better yet, a table per map.
    dogbowl_step = map_load("dogbowl_step", 0)
    
    dogbowl_step = dogbowl_step+1
    
    dialog("Ugh! I cant believe I stepped in \nMax's food bowl..."..dogbowl_step.." times!")
    
    map_save("dogbowl_step", dogbowl_step)
    
end

function setup_sample_mobile()
    --Initializes a Wanderer at the location this is called.
    local dir = "/games/sample/"
    require(dir.."npcs")
    print "Making a Wanderer"
    local wanderer = Wanderer()
    wanderer:load_animations("gfx/player_", "_spritesheet.png", player)
    wanderer:setLoc(locx*tilesize, locy*tilesize)
end