--Puppy
--This file contains all the data about this species that is shared among members of this species.

require 'middleclass.init'

Puppy = Monster:subclass('Puppy')

monsters.puppy = Puppy

function Puppy:initialize()
    Monster.initialize(self)
    
    self.propername = "Puppy"
    self.shortdesc = "Small and playful, but very territorial."

    self.types = {"Normal"}

    self.catchrate = 255
    self.currentexp = exp_medfast(self.level)
    self.exp_to_level = exp_medfast

    local s = self.basestats --A helpful shortcut
    s.hp = 50
    s.attack = 50
    s.defense = 50
    s.spatk = 50
    s.spdef = 50
    s.speed = 50

    self.sprites.combat.back = "/games/sample/monsters/puppy/sprites/back.png"
    self.sprites.combat.front = "/games/sample/monsters/puppy/sprites/front.png"

    self.moves[1] = moves.bite
end