--All moves usable by monsters are here.

require("helper_functions")

moves = {}

function moves.base_effect(user, target, move)
    --Does nothing but deal damage.
    local damage = calc_attack(user, target, move)
    target.currenthp = target.currenthp-damage
    
    if target.currenthp < 0 then
		target.currenthp = 0
	end
    
    return damage
end

moves.basemove = {}
local m = moves.basemove --Shortcut
m.name = "" --The name of the move.
m.infodesc = "" --Tells exactly what it does in gameplay terms.
m.battledesc = "" --A flowery description to invoke the imagination.
m.types = {"Normal", "Normal"}
m.effect = moves.base_effect
m.power = 35
m.powerpoints = 20
m.currentpowerpoints = 20
m.accuracy = 0.95
m.effectaccuracy = 1.0
m.affectswhom = "target"
m.speed = 1
m.flags = {}

--Bite
moves.bite = deepcopy(moves.basemove)
local m = moves.bite --Shortcut
m.name = "Bite"
m.infodesc = "Has a 20% chance of afflicting a condition which deals some damage every turn."
m.battledesc = "The monster lunges out with fangs, leaving a deep wound!"
m.power = 50
